package net.sf.sido.common;

import java.util.HashMap;
import java.util.Map;

/**
 * Implementation of an {@link Annotated} object.
 */
public class AnnotatedSupport implements Annotated {

    private Map<String, Object> annotations = null;

    @Override
    public void putAnnotation(String key, Object value) {
        if (annotations == null) {
            annotations = new HashMap<String, Object>();
        }
        annotations.put(key, value);
    }

    @Override
    public <T> T getAnnotation(String key) {
        if (annotations == null) {
            return null;
        }
        return (T) annotations.get(key);
    }
}
